Upgrade problem using dnf system-upgrade...
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 2 of 2
  1. #1
    Join Date
    Feb 2019
    Location
    Seoul
    Posts
    32
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Upgrade problem using dnf system-upgrade...

    when upgrading, these error messages:

    Code:
    root@horyundangIII yoonjungsuep]# dnf system-upgrade download --refresh --releasever=31 
    Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
    Fedora Modular 31 - x86_64                       11 kB/s | 5.8 kB     00:00    
    Fedora Modular 31 - x86_64 - Updates             11 kB/s | 5.8 kB     00:00    
    Fedora 31 - x86_64 - Updates                    8.1 kB/s | 5.9 kB     00:00    
    Fedora 31 - x86_64                               12 kB/s | 5.9 kB     00:00    
    google-chrome                                   7.6 kB/s | 1.3 kB     00:00    
    Local Repository                                0.0  B/s |   0  B     00:00    
    Failed to download metadata for repo 'local-repo'
    RPM Fusion for Fedora 31 - Free - Updates        10 kB/s |  16 kB     00:01    
    RPM Fusion for Fedora 31 - Free                 9.7 kB/s |  16 kB     00:01    
    RPM Fusion for Fedora 31 - Nonfree - Updates    9.3 kB/s |  15 kB     00:01    
    RPM Fusion for Fedora 31 - Nonfree               11 kB/s |  15 kB     00:01    
    skype (stable)                                  2.4 kB/s | 2.9 kB     00:01    
    Ignoring repositories: local-repo
    오류: 
     문제 1: package python2-gpg-1.12.0-1.fc30.x86_64 requires gpgme(x86-64) = 1.12.0-1.fc30, but none of the providers can be installed
      - gpgme-1.12.0-1.fc30.x86_64 does not belong to a distupgrade repository
      - problem with installed package python2-gpg-1.12.0-1.fc30.x86_64
     문제 2: problem with installed package kf5-ktexteditor-5.59.0-1.fc30.x86_64
      - package kf5-ktexteditor-5.60.0-2.fc31.x86_64 requires libgit2.so.28()(64bit), but none of the providers can be installed
      - kf5-ktexteditor-5.59.0-1.fc30.x86_64 does not belong to a distupgrade repository
      - package libgit2-0.28.2-2.module_f31+5035+83133efe.x86_64 is excluded
      - package libgit2-0.28.2-3.fc31.x86_64 is excluded
    (try to add '--skip-broken' to skip uninstallable packages)
    Anyone who can resolve these problems?

  2. #2
    Join Date
    Feb 2005
    Location
    London, UK
    Posts
    1,127
    Mentioned
    4 Post(s)
    Tagged
    0 Thread(s)

    Re: Upgrade problem using dnf system-upgrade...

    Did you try the suggestion in the other thread? https://forums.fedoraforum.org/showt...e-these-errors

    Locking this thread as a dupe.

Similar Threads

  1. [SOLVED]
    I shutdown my system during an system upgrade, now can't continue to upgrade
    By lassade in forum Installation, Upgrades and Live Media
    Replies: 4
    Last Post: 22nd October 2017, 07:42 AM
  2. System-upgrade reboot problem
    By beighes in forum Installation, Upgrades and Live Media
    Replies: 6
    Last Post: 6th July 2016, 06:21 AM
  3. System Upgrade (fedup) to FC20 give do not start the upgrade
    By aend4ab in forum Installation, Upgrades and Live Media
    Replies: 0
    Last Post: 14th March 2014, 03:46 PM
  4. FC19 fedup upgrade to FC20 fails (won't boot System Upgrade)
    By wernermaes in forum Installation, Upgrades and Live Media
    Replies: 0
    Last Post: 15th January 2014, 02:21 PM
  5. System RAM upgrade problem
    By astephens in forum Hardware & Laptops
    Replies: 6
    Last Post: 24th March 2005, 12:36 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •